=== tools/project_converter/Makefile ===
all: force
	gnatmake -Pconvert
force:
