## gnat-gps 2.1.0

=== common/Makefile ===
all build compile link ada c c++ clean internal-clean :
	$(MAKE) -s -f Makefile.common $@ ADA_SOURCES="test_htables.adb test_rbtree.adb test_trie.adb test_arrays.adb"
