=== tools/custom_converter/Makefile ===
all:
	gnatmake -Pcustom_convert -largs `gtkada-config --libs`
