=== tools/project_converter/Makefile ===
all: force
	gnatmake -Pconvert -largs ../../common/obj/libcommon.a
force:
