=== vsearch/tests/Makefile ===
all build compile link ada c c++ clean internal-clean :
	$(MAKE) -s -f Makefile.vsearch_tests $@
