=== widgets/tests/Makefile ===
# List of C files to compile
C_FILES=${GVDCOMMON_SRC}/pixmaps/pixmaps.c
OBJ_DIR=.

# Main file(s) to compile
MAIN=run_test_file_selector

# List of modules we depend on (Check ../../Makefile.common for list of
# supported modules)
MODULES=debugger_common gtkada

include ../../Makefile.common
