## gnat-gps 3.1.3

=== common/Makefile ===
all build compile link ada c c++ clean internal-clean :
	$(MAKE) -s -f Makefile.common $@ ADA_SOURCES="test_htables.adb test_rbtree.adb test_arrays.adb test_strings.adb"
