## gnat-gps 4.0.1

=== action_editor/Makefile ===
ada compile link c c++ clean internal-clean :
	$(MAKE) -s -f Makefile.action_editor $@
