=== ada_module/Makefile ===
ada compile link c c++ clean internal-clean :
	$(MAKE) -s -f Makefile.vsearch $@
