=== gbuilder/Makefile ===
all build compile link ada c c++ clean internal-clean :
	$(MAKE) -s -f Makefile.gbuilder $@ ADA_SOURCES="gbuilder.adb radical.adb"
