=== kernel/Makefile ===
all build compile link ada c c++ clean internal-clean :
	$(MAKE) -s -f Makefile.kernel $@

test:
	$(MAKE) -s -f Makefile.kernel ADA_SOURCES=read_ali.adb build
