=== keymanager/Makefile ===
ada compile link c c++ clean internal-clean :
	$(MAKE) -s -f Makefile.keymanager $@
