## gnat-gps 4.3~2008.08.09ubuntu1

=== corelib/Makefile ===
.PHONY: all examples tests valgrind clean docs

all tests examples valgrind clean docs:
	${MAKE} -C scripts $@
