=== src_editor/Makefile ===
all build compile link ada c c++ clean internal-clean :
	$(MAKE) -s -f Makefile.src_editor $@
