=== gnatlib/docs/Makefile ===
MAKEINFO=makeinfo
TEXI2DVI=texi2dvi

gnatlib.html: gnatlib.texi
	${MAKEINFO} --html --css-include=gnatlib.css --number-sections $<

gnatlib.pdf: gnatlib.texi
	echo x | ${TEXI2DVI} -p $<

gnatlib.txt: gnatlib.texi
	${MAKEINFO} --force --no-headers --no-split -o $@ $<

.PHONY: clean-temp-files
clean-temp-files:
	-$(RM) *.aux
	-$(RM) *.cp
	-$(RM) *.cps
	-$(RM) *.fn
	-$(RM) *.ky
	-$(RM) *.log
	-$(RM) *.pg
	-$(RM) *.toc
	-$(RM) *.tp
	-$(RM) *.vr

.PHONY: clean
clean: clean-temp-files
	-${RM} gnatlib.pdf gnatlib.txt
	-${RM} -rf gnatlib/
