=== gnatlib/src/Makefile ===
include ../Makefile.conf

.PHONY: all clean examples tests valgrind

all:
	gnatmake -q -u -Pgnatlib_src

clean:
	gnatclean -r -q -Pgnatlib_src

examples:

tests:

valgrind:
