=== gnatlib/testsuite/Makefile ===
test:
include ../Makefile.conf

ADA_PROJECT_PATH:=${prefix}/lib/gnat${DIRSEP}${ADA_PROJECT_PATH}${DIRSEP}../src
LD_LIBRARY_PATH:=${prefix}/lib:${LD_LIBRARY_PATH}
export ADA_PROJECT_PATH
export LD_LIBRARY_PATH

test:
	@${MKDIR} obj
	@GNATLIB_LIBRARY_TYPE=${GNATLIB_LIBRARY_TYPE} ./run.sh
clean:
	gnatclean -q -Ptest_traces -XGNATLIB_LIBRARY_TYPE=${GNATLIB_LIBRARY_TYPE}
