=== debian/changelog ===
gnat-gps (4.3~2008.08.09ubuntu1) intrepid; urgency=low

  * Add lpia to supported architectures.

 -- Luca Falavigna <dktrkranz@ubuntu.com>  Mon, 18 Aug 2008 12:35:49 +0000

gnat-gps (4.3~2008.08.09) unstable; urgency=low
  
  * New version from upstream's Subversion repository, revision 127639.
  * Build with GCC 4.3 and GtkAda 2.12. Closes: #445772, #468310.
  * Add support for mips, mipsel and ppc64.
  * Transition from python2.4 to whatever new version of Python is the
    default.  Closes: #493850.
  * patches/gcc-4.3.patch: new; adjust to GCC 4.3.
  * patches/bashisms.patch: new.
  * patches/gcc-4.1.patch,
    patches/gtkada-2.8.1.patch,
    patches/memory-corruption.patch,
    patches/python-customisation.patch: delete, obsolete.
  * patches/*.patch: adjust to the new upstream version.

 -- Ludovic Brenta <lbrenta@debian.org>  Wed, 13 Aug 2008 16:07:09 +0200
  

gnat-gps (4.0.1-6) unstable; urgency=low
  
  * debian/control: build-depend-indep on texlive-generic-recommended,
    too.  Closes: #443030.  Thanks to Cyril Brulebois for investigating.

 -- Ludovic Brenta <lbrenta@debian.org>  Sat, 29 Sep 2007 14:46:34 +0200

gnat-gps (4.0.1-5) unstable; urgency=low
  
  * debian/control: build-depend-indep on texlive-latex-base.
    Closes: #436368.

 -- Ludovic Brenta <lbrenta@debian.org>  Wed, 22 Aug 2007 21:46:27 +0200

gnat-gps (4.0.1-4) unstable; urgency=low
  
  * debian/rules: install the HTML documentation generated from gps.texi.
    Closes: #423231.
  * patches/command-names.patch: apply fix from Teemu Ikonen.  Thanks!
    Closes: #435544.
  * patches/command-names.patch (gvd-process.adb): change the default
    debugger command to gnatgdb.  Closes: #414614.  Also fix a typo.
  * debian/control: transition to tetex-live.
  * patches/gtkada-2.8.1.patch: adjust to 2.8.1-6, replacing "or" with "+"
    when adding values of a bitfield.
  * patches/documentation-formats.patch: new.  Provide a PDF version of
    the tutorial, and a text version of the programmer's guide, too.

 -- Ludovic Brenta <lbrenta@debian.org>  Sat,  4 Aug 2007 18:52:26 +0200

gnat-gps (4.0.1-3) unstable; urgency=low
  
  * debian/gps.gpr: revert to -g -O2 -gnatafno -gnatVa and static
    elaboration checks.
  * patches/series (dynamically-tagged-expressions.patch): disable.
  * patches/documentation-path.patch: fix a bug whereby we would look for
    shell_commands.xml in the wrong directory.  This in turn fixes the
    Help menu.
  * patches/memory-corruption.patch: new.  Addresses: #400876, #400883,
    but does not close them yet because I think the underlying memory
    corruption bug is still lurking somewhere.

 -- Ludovic Brenta <lbrenta@debian.org>  Wed, 29 Nov 2006 22:01:50 +0100
  

gnat-gps (4.0.1-2) unstable; urgency=medium
  
  * debian/rules: install all the XML files that describe parts of the
    GUI.  Closes: #393636, insofar as I no longer see the crashes I
    described there.

 -- Ludovic Brenta <lbrenta@debian.org>  Tue, 28 Nov 2006 22:14:37 +0100

gnat-gps (4.0.1-1) unstable; urgency=low
  
  * New upstream version.
  * patches/gtkada-2.8.1.patch: new.

 -- Ludovic Brenta <lbrenta@debian.org>  Mon, 27 Nov 2006 22:20:54 +0100

gnat-gps (4.0.0-1) unstable; urgency=low

  * New upstream version.
  * patches/gcc-4.1.patch: new.
  * patches/elaboration.patch: adjust for 4.0.0.
  * debian/rules (config.ads): replace the build date with "Debian".
    (binary-arch): adjust for images removed in this new version.

 -- Ludovic Brenta <lbrenta@debian.org>  Sun, 26 Nov 2006 20:41:00 +0100

gnat-gps (3.1.3-5) unstable; urgency=low
  
  * patches/elaboration.patch: new, a step in resolving #393636.

 -- Ludovic Brenta <lbrenta@debian.org>  Fri, 10 Nov 2006 14:59:12 +0100

gnat-gps (3.1.3-4) unstable; urgency=low
  
  * debian/control (Build-Depends): add debhelper and quilt.

 -- Ludovic Brenta <lbrenta@debian.org>  Sun, 15 Oct 2006 12:55:47 +0200

gnat-gps (3.1.3-3) unstable; urgency=low
  
  * debian/control (Build-Depends-Indep): new; move some build dependencies
    there from Build-Depends.  Add tetex-extra (Closes: #392375).
    (Build-Depends): remove libxmlada2-dev.
  * patches/texinfo.patch: fix the info-dir-section of the tutorial
    (Closes: #391972).  Also, change the name of the info file to
    gps_tutorial.info, to prevent conflicts with other packages.

 -- Ludovic Brenta <lbrenta@debian.org>  Sat, 14 Oct 2006 17:03:58 +0200

gnat-gps (3.1.3-2) unstable; urgency=low
  
  * debian/control (Build-Depends): add libgnatprj-dev, libgnatvsn-dev, and
    libtemplates-parser-dev.

 -- Ludovic Brenta <lbrenta@debian.org>  Sun,  8 Oct 2006 16:39:07 +0200

gnat-gps (3.1.3-1) unstable; urgency=low

  * New upstream version.
    - debian/297980.patch: remove, applied upstream.
    - debian/03-command-line.patch: remove, no longer applies.
    - debian/10-project-creation-wizard.patch: remove, no longer applies.
    - gps.gpr (Source_Dirs): adjust.  Also, use all libraries.
    - debian/rules (DIRS_WITH_C_SOURCES, gvd/common/gvd.ads): adjust.
    - No longer contains a partial copy of GNAT sources:
      . debian/01-libgnat-extras.patch: remove.
      . debian/02-use-libgnat-extras.patch: remove.
      . remove CONFLICTING_GNAT_SOURCES and related targets from debian/rules.
    - No longer contains cschtml:
      . remove debian/323515.patch
      . remove debian/09-cschtml.patch
      . remove CSCHTML_OBJECTS and related targets from debian/rules.
  * Switch to GCC 4.1 as the default Ada compiler.
    - debian/226513-pretty-printer.patch: remove, GCC 4.1 supports the
      pretty printer feature.
    - patches/gcc-4.1.patch: new.
  * debian/control (Maintainer): update email address, I'm now a full DD.
    (Uploaders): remove, no longer necessary.
    (Build-Depends): gnat (>= 4.1), libgkada2 (>= 2.8.1), libasis-dev,
    libtemplates-parser-dev, libgnatvsn-dev, libgnatprj-dev, quilt,
    tcl8.4-dev instead of tcl8.3-dev,
    python-dev instead of python2.3-dev.

