=== debian/control ===
Source: gnat-gps
Section: devel
Priority: optional
Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
XSBC-Original-Maintainer: Ludovic Brenta <lbrenta@debian.org>
Build-Depends: gnat (>= 4.3), libgnatprj-dev, libgnatvsn-dev, python2.5-dev,
 libtemplates-parser-dev (>= 11.1), libgtkada2-dev (>= 2.12.0-2), tcl8.4-dev, 
 libcairo2-dev, debhelper (>= 4.2.13), quilt, gnat-4.3 (>= 4.3.1-2)
Build-Depends-Indep: debhelper (>> 4.2.13), texinfo, texlive-base-bin,
 texlive-fonts-recommended, texlive-latex-base, imagemagick, quilt,
 texlive-generic-recommended
Standards-Version: 3.7.2

Package: gnat-gps
Architecture: alpha amd64 hppa i386 ia64 kfreebsd-i386 lpia mips mipsel powerpc ppc64 s390 sparc
Depends: ${shlibs:Depends}
Recommends: gnat (>= 4.3), gdb (>= 6.8),
 gnat-gps-doc (= ${source:Version}), ada-reference-manual
Description: The GNAT Programming System - advanced IDE for C and Ada
 GPS is a complete integrated development environment that gives access
 to a wide range of tools and integrates them smoothly.
 .
 GPS gives access to built-in file editing; HTML based help system;
 complete compile/build/run cycle; intelligent source navigation;
 project management; general graph technology giving access to many
 different browsers such as source dependency, project dependency, call
 graphs, etc.; fully integrated visual debugger, based on the GVD
 technology, and enhanced for inclusion in GPS; generic version control
 system, providing access to CVS, ClearCase, and possibly others in the
 future; many other tools such as a visual comparison, automatic
 generation of files, source reformatting.
 .
 GPS is fully customizable, providing several levels of customizations:
 a first level, available through the preferences dialog; a second
 level, which allows you to customize your menu items, tool bar and key
 bindings; a third level, which allows you to automate processing
 through scripts; and a fourth level, which allows any kind of very
 specific or tight integration, due to the open nature of GPS, and to
 its architecture.
 .
 GPS also integrates with existing editors such as Emacs and Vi.

Package: gnat-gps-doc
Architecture: all
Section: doc
Description: The GNAT Programming System - documentation
 This package contains the documentation for GPS, the GNAT Programming
 System, in ASCII, Info, HTML and PostScript formats.  This documentation
 consists of:
 .
  - the GPS Tutorial: building Hello, World with the GPS
  - a User's Guide: using the GPS for multi-language projects
  - a Programmer's Manual: extending the GPS with new modules
