## gnat-gps 4.3

=== gnatlib/Makefile ===
--- 
+++ 
@@ -60,7 +60,7 @@
 endif
 	${MAKE} -C src -f Makefile.postgres install
 	${MAKE} -C src -f Makefile.tools install
-	${INSTALL} distrib/gnatcoll_gps.xml ${datadir}/gps/plug-ins
+	${CP} distrib/gnatcoll_gps.xml ${datadir}/gps/plug-ins
 	${CP} distrib/*.gpr ${libdir}/gnat
 
 install_static:
