=== gps/Makefile ===
default build compile link ada c c++ clean internal-clean :
	$(MAKE) -s -f Makefile.gps $@
