=== debian/changelog ===
gnat-gps (4.3-5ubuntu3) natty; urgency=low

  * Recommend: on ada-reference-manual-text rather than the NBS
    ada-reference-manual .

 -- Bilal Akhtar <bilalakhtar@ubuntu.com>  Wed, 24 Nov 2010 11:57:25 +0300

gnat-gps (4.3-5ubuntu2) natty; urgency=low

  * Rebuild for ada-reference-manual transition.
  * Update maintainer according to DebianMaintainerField spec.

 -- Bilal Akhtar <bilalakhtar@ubuntu.com>  Wed, 24 Nov 2010 11:16:21 +0300

gnat-gps (4.3-5ubuntu1) lucid; urgency=low

  * BUild on armel.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 15 Mar 2010 15:12:34 +0100

gnat-gps (4.3-5) unstable; urgency=low

  [Nicolas Boulenguez]
  * Switch to dpkg-source 3.0 (quilt) format.
  * control: (Standards-Version) upgraded without changes.
    (Build-Depends) quilt is not needed with this format.
  * rules: made linking with cairo and gtk explicit. Closes: #554643.

  [Ludovic Brenta]
  * debian/patches/add_project_file.patch, debian/rules: link against
    whichever version of libpython is the default.  Closes: #571489.

 -- Ludovic Brenta <lbrenta@debian.org>  Thu, 25 Feb 2010 23:32:43 +0100

gnat-gps (4.3-4) unstable; urgency=medium

  * debian/control (Architectures):
    - temporarily disable mips due to #566234, which affects
      libtemplates-parser, on which gnat-gps depends.

 -- Ludovic Brenta <lbrenta@debian.org>  Sun,  7 Feb 2010 23:02:28 +0100

gnat-gps (4.3-3) unstable; urgency=low
  
  * Added two patches
    - bug-567688.patch to fix termio.h problem, same bug as gnat-4.4 564232.
    Closes: #567668.
    - fix-config-guess.patch, config.guess from upstream didn't know about 
    GNU/kFreeBSD for uname -s.

 -- Xavier Grave <xavier.grave@ipno.in2p3.fr>  Sun, 31 Jan 2010 00:29:00 +0100
  

gnat-gps (4.3-2) unstable; urgency=low
  
  * debian/rules: do not build the doc as part of binary-arch.
    Closes: #567526.

 -- Ludovic Brenta <lbrenta@debian.org>  Fri, 29 Jan 2010 20:56:13 +0100
  

gnat-gps (4.3-1) unstable; urgency=low

  [Ludovic Brenta]
  * New version from upstream's Subversion repository, revision 131177
    (date: 2008-10-21T16:46:48) with additional changes as follows:
    - Pluck HA14-009 from the trunk and apply to the 4.3 branch, like AdaCore.
    - Pluck the fix for HA05-007 from the trunk.
    - Pluck the fix for D502-003 from the trunk.
    - Pluck the fix for E703-001 from the trunk.
    - Pluck fix for HB13-014 from the trunk.
    - Pluck fix for H904-015 from the trunk.
    - Pluck HB17-006 from the trunk.
    - Pluck HB04-009 from the trunk.
    - Pluck FB07-017 from the trunk.
    (for more details, see distrib/known-problems in the .orig.tar.gz and
    README.source)
  * debian/control (Build-Depends):
    - switch to gnat-4.4, libgnatvsn4.4-dev, libgnatprj4.4-dev. Closes: #560680.
    - switch to libgtkada2.14.2-dev and libtemplates-parser11.5-dev.
    - switch to debhelper version 7.
    (Depends): add ${misc:Depends} everywhere.
    (Standards-Version): bump to 3.8.3 with no changes required.
    (Architecture):
    - add kfreebsd-amd64.
    - remove alpha due to http://gcc.gnu.org/PR43072.
  * debian/compat: new, equal to 7.
  * debian/rules (DH_COMPAT): remove.
    - fix the parsing of the version from the changelog. Closes: #497596.
  * debian/patches/libgtkada2-2.14.2.patch: new.
  * debian/patches/no-gtkextra.patch: new, pluck revision 134974 from the trunk.
  * debian/menu: change Apps to Applications.  Closes: #530481.
  * debian/source.lintian-overrides: new.
  * debian/README.source: expand.
  * debian/copyright:
    - make machine-parseable (DEP5).
    - add copyright information for the bundled copy of Source Navigator
    - add copyright information for the bundled copy of Berkeley DB
  * debian/gnat-gps.install: also install features and known-problems into
    /usr/share/doc/gnat-gps.

  [Nicolas Boulenguez]
  * Moved patches to debian/patches and modified series to use patch without
    option -p0.  Closes: #538543.
  * rules: simplified with quit.make and separate debhelper files.
  * Replaced gps.gpr file with a patch creating it.
  * control:
    (Build-Depends) removed indirect redundancies.
    (Vcs-Browser,Vcs-Svn,Homepage) added.
  * copyright: versioned GPL
  * patches: documented each
  * lintian-overrides: accept empty dirs (for user hooks or example objects)
  * debian/README.source: expand.

 -- Ludovic Brenta <lbrenta@debian.org>  Fri, 29 Jan 2010 01:06:46 +0100
