=== debian/control ===
--- 
+++ 
@@ -1,21 +1,27 @@
 Source: gnat-gps
 Section: devel
 Priority: optional
-Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Ludovic Brenta <lbrenta@debian.org>
-Build-Depends: gnat (>= 4.3), libgnatprj-dev, libgnatvsn-dev, python2.5-dev,
- libtemplates-parser-dev (>= 11.1), libgtkada2-dev (>= 2.12.0-2), tcl8.4-dev, 
- libcairo2-dev, debhelper (>= 4.2.13), quilt, gnat-4.3 (>= 4.3.1-2)
-Build-Depends-Indep: debhelper (>> 4.2.13), texinfo, texlive-base-bin,
- texlive-fonts-recommended, texlive-latex-base, imagemagick, quilt,
- texlive-generic-recommended
-Standards-Version: 3.7.2
+Uploaders: Xavier Grave <xavier.grave@ipno.in2p3.fr>,
+ Nicolas Boulenguez <nicolas.boulenguez@free.fr>
+Build-Depends: gnat, gnat-4.4, libgnatprj4.4-dev, python-dev,
+ libtemplates-parser11.5-dev (>= 11.5-2), libgtkada2.14.2-dev, tcl8.4-dev,
+ debhelper (>= 7.0.50~)
+Build-Depends-Indep: texinfo,  imagemagick,
+ texlive-fonts-recommended, texlive-latex-base, texlive-generic-recommended
+Standards-Version: 3.8.4
+Vcs-Browser: http://www.ada-france.org:8081/branch/changes/org.debian.gnat-gps
+Vcs-Svn: http://svn.eu.adacore.com/anonsvn/Dev/trunk/gps
+Homepage: http://libre.adacore.com/libre/tools/gps
 
 Package: gnat-gps
-Architecture: alpha amd64 hppa i386 ia64 kfreebsd-i386 lpia mips mipsel powerpc ppc64 s390 sparc
-Depends: ${shlibs:Depends}
+Architecture: amd64 hppa i386 ia64 kfreebsd-amd64 kfreebsd-i386 mipsel powerpc ppc64 s390 sparc armel
+# alpha is temporarily disabled due to #http://gcc.gnu.org/PR42073
+# mips  is temporarily disabled due to #http://bugs.debian.org/566234
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Recommends: gnat (>= 4.3), gdb (>= 6.8),
- gnat-gps-doc (= ${source:Version}), ada-reference-manual
+ gnat-gps-doc (= ${source:Version}), ada-reference-manual-text
 Description: The GNAT Programming System - advanced IDE for C and Ada
  GPS is a complete integrated development environment that gives access
  to a wide range of tools and integrates them smoothly.
@@ -40,8 +46,22 @@
  .
  GPS also integrates with existing editors such as Emacs and Vi.
 
+Package: gnat-gps-dbg
+Architecture: amd64 hppa i386 ia64 kfreebsd-amd64 kfreebsd-i386 mipsel powerpc ppc64 s390 sparc armel
+# alpha is temporarily disabled due to #http://gcc.gnu.org/PR42073
+# mips  is temporarily disabled due to #http://bugs.debian.org/566234
+Priority: extra
+Section: debug
+Depends: gnat-gps (= ${binary:Version}), ${misc:Depends}
+Description: The GNAT Programming System - advanced IDE for C and Ada (debugging symbols)
+ GPS is a complete integrated development environment that gives access
+ to a wide range of tools and integrates them smoothly.
+ .
+ This package contains the detached debugging symbols for debugging GPS.
+
 Package: gnat-gps-doc
 Architecture: all
+Depends: ${misc:Depends}
 Section: doc
 Description: The GNAT Programming System - documentation
  This package contains the documentation for GPS, the GNAT Programming
